# Interface ISubscriptionRequest

## Index

### Properties

- frequency
- name
- type
- typeConfig

## Properties

### Optional frequency

frequency: string

- Defined in rest/Subscription.ts :69

### name

name: string

- Defined in rest/Subscription.ts :73

### type

type: string

- Defined in rest/Subscription.ts :61

### typeConfig

typeConfig: ISubscriptionQueryRequest | ISubscriptionItemRequest

- Defined in rest/Subscription.ts :65

### Hierarchy

- ISubscriptionRequest